Форум русскоязычного сообщества Ubuntu


Считаете, что Ubuntu недостаточно дружелюбна к новичкам?
Помогите создать новое Руководство для новичков!

Автор Тема: Остались непонятные пакеты после обновления с 12.04 до 14.04  (Прочитано 771 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн vip.lohmatiy

  • Автор темы
  • Активист
  • *
  • Сообщений: 555
  • RealScanFoto
    • Просмотр профиля

У меня нормально прошло обновление с 12.04.05 до 14.04.04 (заметте цифры) в 2 этапа сначала стандартно , потом терминалом до нового ядра (0.34), и осталось остаточное явление. Упорно говорит, столько пакетов не обновлено, и теперь понять не могу, то ли они остались с 12.04, не верю, они прибавляются, было 3, потом 5, сейчас 8, как их отследить и "убить"
« Последнее редактирование: 26 Март 2016, 12:01:47 от vip.lohmatiy »
CPU-1.1G , RAM-640M , VGA-16M , рядом Матэ белка.

Оффлайн БТР

  • Заслуженный пользователь
  • Модератор форума
  • Старожил
  • *
  • Сообщений: 5140
    • Просмотр профиля
Re: Я хотел бы в тему добавить свой вопрос.
« Ответ #1 : 25 Март 2016, 16:56:10 »
Вывод под спойлер
sudo apt-get update
sudo apt-get dist-upgrade

Оффлайн vip.lohmatiy

  • Автор темы
  • Активист
  • *
  • Сообщений: 555
  • RealScanFoto
    • Просмотр профиля
Re: Я хотел бы в тему добавить свой вопрос.
« Ответ #2 : 26 Март 2016, 01:59:23 »
БТР, За задержку извините,
(Нажмите, чтобы показать/скрыть)
(Нажмите, чтобы показать/скрыть)

опять 3 , и не знаю, кто такие.
CPU-1.1G , RAM-640M , VGA-16M , рядом Матэ белка.

Оффлайн Lekssey

  • Активист
  • *
  • Сообщений: 299
    • Просмотр профиля
Re: Я хотел бы в тему добавить свой вопрос.
« Ответ #3 : 26 Март 2016, 05:45:34 »
Цитировать
Пакеты, которые будут оставлены в неизменном виде:
  gdb gir1.2-peas-1.0 libpeas-1.0-0
Разве не они?
(Нажмите, чтобы показать/скрыть)

Оффлайн vip.lohmatiy

  • Автор темы
  • Активист
  • *
  • Сообщений: 555
  • RealScanFoto
    • Просмотр профиля
Re: Я хотел бы в тему добавить свой вопрос.
« Ответ #4 : 26 Март 2016, 06:40:23 »
Lekssey, если это они, почему система 2 раза о них говорит? Если не нужные, почему не удалит? Если нужны, зачем о них упоминать, как не об обновлённых?
CPU-1.1G , RAM-640M , VGA-16M , рядом Матэ белка.

Оффлайн maks05

  • Старожил
  • *
  • Сообщений: 6214
    • Просмотр профиля
Re: Я хотел бы в тему добавить свой вопрос.
« Ответ #5 : 26 Март 2016, 10:50:12 »
vip.lohmatiy, посмотрите в Synaptic  в разделе "Состояние", там, в том числе, покажет ненужные пакеты. Хотя, всё относительно, например, не нужным может оказаться русификация KDE-программ, даже когда хотя бы одна из них стоит в системе: удалишь этот пакет русификации и KDE-программа оказывается на английском.

Вообще, написано то, что написано: раз без изменений, то без изменений. Не вижу проблемы.
« Последнее редактирование: 26 Март 2016, 11:47:04 от maks05 »

Оффлайн vip.lohmatiy

  • Автор темы
  • Активист
  • *
  • Сообщений: 555
  • RealScanFoto
    • Просмотр профиля
Re: Я хотел бы в тему добавить свой вопрос.
« Ответ #6 : 26 Март 2016, 11:09:58 »
maks05, вот они есть в синаптике с пометкой обновляемые, но что-то никак не обновляются.
(Нажмите, чтобы показать/скрыть)
CPU-1.1G , RAM-640M , VGA-16M , рядом Матэ белка.

Оффлайн maks05

  • Старожил
  • *
  • Сообщений: 6214
    • Просмотр профиля
Re: Я хотел бы в тему добавить свой вопрос.
« Ответ #7 : 26 Март 2016, 11:15:40 »
Да, у вас старые версии пакетов. У меня новые, но я и не обновлялся, сразу 14.04 ставил.
Не знаю. Может быть у вас что-то не сработало, а может так и нужно...

Оффлайн zotkindm

  • Старожил
  • *
  • Сообщений: 2452
  • (K)Ub 14.04
    • Просмотр профиля
Re: Я хотел бы в тему добавить свой вопрос.
« Ответ #8 : 26 Март 2016, 11:18:38 »
Уже давно для себя решил, что обновление дистрибутива кривое, переустановка займет столько же времени, да и никто не требует форматить /home, подмантировал и все настройки остались.

Оффлайн vip.lohmatiy

  • Автор темы
  • Активист
  • *
  • Сообщений: 555
  • RealScanFoto
    • Просмотр профиля
Ладно, будем считать вопрос не смертельным. Есть у меня одно "подозрение", 12.04 работала у меня года 2(причём на 3 разных мамках), ведь некоторые проги работают на 12.04 и не хотят на 14.04, и я уже не помню, что там за это время навтыкал в систему, может эти 3 пакета остались для совместимости какого-нибудь старья. Кстати , zotkindm, установка новой системы со старым хомяком кардинально отличается от обновления (не надо вспоминать, что уже напихано в оси   :) ).
« Последнее редактирование: 26 Март 2016, 12:02:41 от vip.lohmatiy »
CPU-1.1G , RAM-640M , VGA-16M , рядом Матэ белка.

Оффлайн Sly_tom_cat

  • Don't worry, be happy!
  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 11895
  • Xubuntu 18.04 (64bit)
    • Просмотр профиля
Re: Я хотел бы в тему добавить свой вопрос.
« Ответ #10 : 26 Март 2016, 11:58:00 »
vip.lohmatiy, тему нормально назовите. п. 2.6. правил форума никто не отменял...
Индикатор для Yandex-Disk: https://forum.ubuntu.ru/index.php?topic=241992
UEFI-Boot - грузимся без загрузчика: http://help.ubuntu.ru/wiki/uefiboot

Оффлайн Lekssey

  • Активист
  • *
  • Сообщений: 299
    • Просмотр профиля
Цитировать
если это они, почему система 2 раза о них говорит? Если не нужные, почему не удалит? Если нужны, зачем о них упоминать, как не об обновлённых?
По порядку:
1, наверное, для удобства. Сначала список, затем количество. Если список большой будет, пальцев не хватит загибать при счете.

2, система бережлива, сейчас не нужен, а завтра может понадобиться.
Удаление ненужных пакетов
sudo apt-get autoremoveЕсли эти пакеты останутся, значит, нужны.

3. может, галочки в менеджере обновлений не стоит на этих пакетах, или нужны именно эти версии, или еще что.
Вручную
sudo apt-get upgradeНу или в синаптике их обновить.

Оффлайн vip.lohmatiy

  • Автор темы
  • Активист
  • *
  • Сообщений: 555
  • RealScanFoto
    • Просмотр профиля
Lekssey,
sudo apt-get autoremove
sudo apt-get upgrade
Эти команды никакого впечатления на пакеты не производят, пока остановлюсь на принципе, работает - не трогай.
CPU-1.1G , RAM-640M , VGA-16M , рядом Матэ белка.

Оффлайн Azure

  • СуперМодератор
  • Старожил
  • *
  • Сообщений: 5664
  • elementaryOS 0.4 Loki, i3wm on Debian9
    • Просмотр профиля
Самое простое объяснение что в системе что-то осталось, что требует именно этой версииapt-cache rdepends gdb  gir1.2-peas-1.0 libpeas-1.0-0 --installed
В Линукс можно сделать ВСЁ что угодно, достаточно знать КАК !

Оффлайн vip.lohmatiy

  • Автор темы
  • Активист
  • *
  • Сообщений: 555
  • RealScanFoto
    • Просмотр профиля
Azure,
 
(Нажмите, чтобы показать/скрыть)
CPU-1.1G , RAM-640M , VGA-16M , рядом Матэ белка.

 

Страница сгенерирована за 0.074 секунд. Запросов: 24.